# Drawable File Reference

`#include <osg/BoundingBox>`
`#include <osg/State>`
`#include <osg/NodeVisitor>`
`#include <osg/Shape>`
`#include <osg/buffered_value>`

Include dependency graph for Drawable:

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | osg

## Defines

#define | OSG_DRAWABLE 1
#define | GL_ARRAY_BUFFER_ARB 0x8892
#define | GL_ELEMENT_ARRAY_BUFFER_ARB 0x8893
#define | GL_ARRAY_BUFFER_BINDING_ARB 0x8894
#define | GL_ELEMENT_ARRAY_BUFFER_BINDING_ARB 0x8895
#define | GL_VERTEX_ARRAY_BUFFER_BINDING_ARB 0x8896
#define | GL_NORMAL_ARRAY_BUFFER_BINDING_ARB 0x8897
#define | GL_COLOR_ARRAY_BUFFER_BINDING_ARB 0x8898
#define | GL_INDEX_ARRAY_BUFFER_BINDING_ARB 0x8899
#define | GL_TEXTURE_COORD_ARRAY_BUFFER_BINDING_ARB 0x889A
#define | GL_EDGE_FLAG_ARRAY_BUFFER_BINDING_ARB 0x889B
#define | GL_SECONDARY_COLOR_ARRAY_BUFFER_BINDING_ARB 0x889C
#define | GL_FOG_COORDINATE_ARRAY_BUFFER_BINDING_ARB 0x889D
#define | GL_WEIGHT_ARRAY_BUFFER_BINDING_ARB 0x889E
#define | GL_VERTEX_ATTRIB_ARRAY_BUFFER_BINDING_ARB 0x889F
#define | GL_STREAM_DRAW_ARB 0x88E0
#define | GL_STREAM_READ_ARB 0x88E1
#define | GL_STREAM_COPY_ARB 0x88E2
#define | GL_STATIC_DRAW_ARB 0x88E4
#define | GL_STATIC_READ_ARB 0x88E5
#define | GL_STATIC_COPY_ARB 0x88E6
#define | GL_DYNAMIC_DRAW_ARB 0x88E8
#define | GL_DYNAMIC_READ_ARB 0x88E9
#define | GL_DYNAMIC_COPY_ARB 0x88EA
#define | GL_READ_ONLY_ARB 0x88B8
#define | GL_WRITE_ONLY_ARB 0x88B9
#define | GL_READ_WRITE_ARB 0x88BA
#define | GL_BUFFER_SIZE_ARB 0x8764
#define | GL_BUFFER_USAGE_ARB 0x8765
#define | GL_BUFFER_ACCESS_ARB 0x88BB
#define | GL_BUFFER_MAPPED_ARB 0x88BC
#define | GL_BUFFER_MAP_POINTER_ARB 0x88BD
#define | GL_OCCLUSION_TEST_HP 0x8165
#define | GL_OCCLUSION_TEST_RESULT_HP 0x8166
#define | GL_PIXEL_COUNTER_BITS_NV 0x8864
#define | GL_CURRENT_OCCLUSION_QUERY_ID_NV 0x8865
#define | GL_PIXEL_COUNT_NV 0x8866
#define | GL_PIXEL_COUNT_AVAILABLE_NV 0x8867
#define | GL_SAMPLES_PASSED_ARB 0x8914
#define | GL_QUERY_COUNTER_BITS_ARB 0x8864
#define | GL_CURRENT_QUERY_ARB 0x8865
#define | GL_QUERY_RESULT_ARB 0x8866
#define | GL_QUERY_RESULT_AVAILABLE_ARB 0x8867
#define | USE_SEPARATE_COMPILE_AND_EXECUTE

## Typedefs

typedef int | GLsizeiptrARB

## Variables

class class class class typedef int | GLintptrARB

## Define Documentation

#define GL_ARRAY_BUFFER_ARB 0x8892

#define GL_ARRAY_BUFFER_BINDING_ARB 0x8894

#define GL_BUFFER_ACCESS_ARB 0x88BB

#define GL_BUFFER_MAP_POINTER_ARB 0x88BD

#define GL_BUFFER_MAPPED_ARB 0x88BC

#define GL_BUFFER_SIZE_ARB 0x8764

#define GL_BUFFER_USAGE_ARB 0x8765

#define GL_COLOR_ARRAY_BUFFER_BINDING_ARB 0x8898

#define GL_CURRENT_OCCLUSION_QUERY_ID_NV 0x8865

#define GL_CURRENT_QUERY_ARB 0x8865

#define GL_DYNAMIC_COPY_ARB 0x88EA

#define GL_DYNAMIC_DRAW_ARB 0x88E8

#define GL_DYNAMIC_READ_ARB 0x88E9

#define GL_EDGE_FLAG_ARRAY_BUFFER_BINDING_ARB 0x889B

#define GL_ELEMENT_ARRAY_BUFFER_ARB 0x8893

#define GL_ELEMENT_ARRAY_BUFFER_BINDING_ARB 0x8895

#define GL_FOG_COORDINATE_ARRAY_BUFFER_BINDING_ARB 0x889D

#define GL_INDEX_ARRAY_BUFFER_BINDING_ARB 0x8899

#define GL_NORMAL_ARRAY_BUFFER_BINDING_ARB 0x8897

#define GL_OCCLUSION_TEST_HP 0x8165

#define GL_OCCLUSION_TEST_RESULT_HP 0x8166

#define GL_PIXEL_COUNT_AVAILABLE_NV 0x8867

#define GL_PIXEL_COUNT_NV 0x8866

#define GL_PIXEL_COUNTER_BITS_NV 0x8864

#define GL_QUERY_COUNTER_BITS_ARB 0x8864

#define GL_QUERY_RESULT_ARB 0x8866

#define GL_QUERY_RESULT_AVAILABLE_ARB 0x8867

#define GL_READ_ONLY_ARB 0x88B8

#define GL_READ_WRITE_ARB 0x88BA

#define GL_SAMPLES_PASSED_ARB 0x8914

#define GL_SECONDARY_COLOR_ARRAY_BUFFER_BINDING_ARB 0x889C

#define GL_STATIC_COPY_ARB 0x88E6

#define GL_STATIC_DRAW_ARB 0x88E4

#define GL_STATIC_READ_ARB 0x88E5

#define GL_STREAM_COPY_ARB 0x88E2

#define GL_STREAM_DRAW_ARB 0x88E0

#define GL_STREAM_READ_ARB 0x88E1

#define GL_TEXTURE_COORD_ARRAY_BUFFER_BINDING_ARB 0x889A

#define GL_VERTEX_ARRAY_BUFFER_BINDING_ARB 0x8896

#define GL_VERTEX_ATTRIB_ARRAY_BUFFER_BINDING_ARB 0x889F

#define GL_WEIGHT_ARRAY_BUFFER_BINDING_ARB 0x889E

#define GL_WRITE_ONLY_ARB 0x88B9

#define OSG_DRAWABLE 1

#define USE_SEPARATE_COMPILE_AND_EXECUTE

## Typedef Documentation

typedef int osg::GLsizeiptrARB

## Variable Documentation

class class class class class typedef int osg::GLintptrARB